<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('ingresos_despacho', function (Blueprint $table) {
            $table->id();
            $table->foreignId('despacho_id')->constrained()->onDelete('cascade'); // Relación con despacho
            $table->string('nro_salida');
            $table->string('precinto');
            $table->string('guia');
            $table->decimal('bruto', 10, 2);
            $table->decimal('tara', 10, 2);
            $table->decimal('neto', 10, 2);
            $table->string('tracto');
            $table->string('carreta');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('ingresos_despacho');
    }
};
