@extends('layouts.app')

@section('content')
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header d-flex justify-content-between align-items-center">
                        {{ __('TODAS LAS OPERACIONES REGISTRADAS') }}
                        
                        <div class="btn-group">
                            <a class="btn btn-sm btn-secondary me-2" href="{{ route('blendings.create') }}">
                                {{ __('CREAR NUEVO BLENDINGS') }}
                            </a>
                        </div>
                        
                    </div>
                    <div class="card-body">
            <table class="table table-striped">
                <thead>
                    <tr>
                        <th>{{ __('ID') }}</th>
                        <th>{{ __('FECHA CREACION') }}</th>
                        <th>{{ __('Código') }}</th>
                        <th>{{ __('Preparación') }}</th>
                        <th>{{ __('Notas') }}</th>
                        <th>{{ __('Peso') }}</th>
                        <th>{{ __('Acciones') }}</th>
                    </tr>
                </thead>
                <tbody>
                    @forelse($blendings as $blending)
                        <tr>
                            <td>{{ $blending->id }}</td>
                            <td>{{ $blending->created_at }}</td>
                            <td>{{ $blending->cod }}</td>
                            <td>{{ $blending->lista }}</td>
                            <td>{{ $blending->notas }}</td>
                            <td>{{ $blending->pesoblending }}</td>
                            <td>
                                <a href="{{ route('blendings.show', $blending->id) }}" class="btn btn-secondary btn-sm">VER</a>
                                <a href="{{ route('blendings.edit', $blending->id) }}" class="btn btn-warning btn-sm">EDITAR</a>
                                <a href="{{ route('despachos.create', $blending->id) }}" class="btn btn-primary btn-sm">DESPACHO</a>
                                <form action="{{ route('blendings.destroy', $blending->id) }}" method="POST" style="display:inline;">
                                    @csrf
                                    @method('DELETE')
                                    <button type="submit" class="btn btn-danger btn-sm">ELIMINAR</button>
                                </form>
                            </td>
                        </tr>
                    @empty
                        <tr>
                            <td colspan="5" class="text-center">{{ __('No hay blendings disponibles') }}</td>
                        </tr>
                    @endforelse
                </tbody>
            </table>
        </div>
    </div>
</div>
@endsection
