@extends('layouts.app')

@section('content')
    <div class="container">
        <div class="card">
            <div class="card-header">
                <div class="row justify-content-between">
                    <div class="col-md-6">
                        <h6 class="mt-2">{{ __('DETALLE DE BLENDING') }}</h6>
                    </div>
                    <div class="col-md-6 text-end">
                        <a class="btn btn-danger btn-sm" href="{{ route('blendings.index') }}">
                            {{ __('VOLVER') }}
                        </a>
                        
                    </div>
                </div>
            </div>
            <div class="card-body">
                <div class="row">
                    <div class="form-group">
                        <div class="alert alert-success alert-dismissible fade show" role="alert">
                            <strong>
                                {{ __('Estás viendo el ID') }}
                            </strong>
                            <span class="badge text-bg-secondary">{{ $blending->id }}</span>
                            <strong>
                                {{ __('y esta operación fue registrada el ') }}
                            </strong>
                                {{ $blending->created_at->format('d-m-Y') }}
                            <strong>
                                {{ __('a la(s) ') }}
                            </strong>
                                {{ $blending->created_at->format('H:i:s') }}
                            <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                        </div>
                        @if ($blending->updated_at != $blending->created_at)
                            <div class="alert alert-warning alert-dismissible fade show" role="alert">
                                <strong>
                                    {{ __('Estás viendo el ID') }}
                                </strong>
                                <span class="badge text-bg-secondary">
                                    {{ $blending->id }}
                                </span>
                                <strong>
                                    {{ __('y esta operación fue actualizada el ') }}
                                </strong>
                                    {{ $blending->updated_at->format('d-m-Y') }}
                                <strong>
                                    {{ __('a la(s) ') }}
                                </strong>
                                    {{ $blending->updated_at->format('H:i:s') }}
                                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                            </div>
                        @else
                            <div class="alert alert-warning alert-dismissible fade show" role="alert">
                                <strong>
                                    {{ __('Este ingreso aún no ha sido actualizado') }}
                                </strong>
                                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                            </div>
                        @endif
                    </div>
            <div class="card-body">
                <div class="row">
            <div class="mb-3">
                <strong>{{ __('Código') }}:</strong>
                <span>{{ $blending->cod }}</span>
            </div>
            <div class="mb-3">
                <strong>{{ __('Preparación') }}:</strong>
                <span>{{ $blending->lista }}</span>
            </div>
            <div class="mb-3">
                <strong>{{ __('Notas') }}:</strong>
                <span>{{ $blending->notas }}</span>
            </div>
           
            <div class="mb-3">
                <strong>{{ __('Estado') }}:</strong>
                <span>{{ $blending->estado }}</span>
            </div>

            <h6>{{ __('Ingresos Asociados') }}</h6>
            @if($blending->ingresos->isEmpty())
                <p>{{ __('No hay ingresos asociados a este blending.') }}</p>
            @else
                <table class="table table-striped">
                    <thead>
                        <tr>
                            <th>{{ __('Fecha de Ingreso') }}</th>
                            <th>{{ __('Cliente') }}</th >
                            <th>{{ __('Lote') }}</th>
                            <th>{{ __('Peso') }}</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach($blending->ingresos as $ingreso)
                        <tr>
                            <td>{{ $ingreso->fecha_ingreso }}</td>
                            <td>{{ $ingreso->nom_iden }}</td>
                            <td>{{ $ingreso->ref_lote }}</td>
                            <td>{{ $ingreso->peso_total }} </td>
                        </tr>
                        @endforeach
                    </tbody>
                    
                </table>
            @endif
            <div class="mb-3 d-flex justify-content-end">
                <strong>{{ __('Peso Total') }}:</strong>
                <span class="ms-2">{{ $blending->pesoblending }} </span>
            </div>
            <div class="mt-3">
                <a href="{{ route('blendings.index') }}" class="btn btn-secondary">{{ __('Volver a la lista') }}</a>
            </div>
        </div>


@endsection

