@extends('layouts.app')

@section('content')
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header d-flex justify-content-between align-items-center">
                        {{ __('TODAS LAS OPERACIONES REGISTRADAS') }}
                        
                        <div class="btn-group">
                            
                        </div>
                        
                    </div>
                    <div class="card-body">
                        <table class="table table-striped">
                            <thead>
                                <tr>
                                    <th>ID</th>
                                    <th>Nombre del Despacho</th>
                                    <th>Fecha</th>
                                    <th>Acciones</th>
                                </tr>
                            </thead>
                            <tbody>
                                @forelse($despachos as $despacho)
                                    <tr>
                                        <td>{{ $despacho->id }}</td>
                                        <td>{{ $despacho->nombre }}</td>
                                        <td>{{ $despacho->fecha }}</td>
                                        <td>
                                            <a href="{{ route('despachos.show', $despacho->id) }}" class="btn btn-info">Ver</a>
                                            <a href="{{ route('despachos.edit', $despacho->id) }}" class="btn btn-warning">Editar</a>
                                            <form action="{{ route('despachos.destroy', $despacho->id) }}" method="POST" style="display:inline;">
                                                @csrf
                                                @method('DELETE')
                                                <button type="submit" class="btn btn-danger" onclick="return confirm('¿Estás seguro de eliminar este despacho?');">Eliminar</button>
                                            </form>
                                        </td>
                                    </tr>
                                @empty
                                    <tr>
                                        <td colspan="4" class="text-center">{{ __('No hay despachos disponibles') }}</td>
                                    </tr>
                                @endforelse
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
